
Redmine - Defect #3289

E-mail in /user/edit/N displayed (and saves) as administrating users login-name

2009-05-04 16:23 - Kai Olav Fredriksen

Status: Closed Start date: 2009-05-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 0.8.3

Description

We have a 0.8.3 stable installation going.  When I go in to administate a user (/users/edit/<Number>) (I'm on my account - not

Redmine Admin) - the e-mail field changes to my login-name.

History

#1 - 2009-05-04 18:10 - Jean-Philippe Lang

Not able to reproduce this problem.

Do you have some details that would help to reproduce?

#2 - 2009-05-05 09:49 - Kai Olav Fredriksen

Jean-Philippe Lang wrote:

Not able to reproduce this problem.

Do you have some details that would help to reproduce?

 We're running "Redmine 0.8.3.stable (SQLite)" - I'm using it through Google Chrome on WinXP - I'm not sure what you need in order to reproduce, I

will try it out a bit today, and try give a proper answer to you if I find anything that can help.

#3 - 2009-05-05 09:58 - Kai Olav Fredriksen

Jean-Philippe Lang wrote:

Not able to reproduce this problem.

Do you have some details that would help to reproduce?

 Ok - it's Google Chrome.  OK when using IE.  What happens is more than I reported.  This is a very shallow observation: 

Administration->Users->Select user...: Fields labeled "Email" and "Password" turns yellow background. Email-field holds MY login-name, and

"Password" holds dots (the "Confirmation"-field is normal, no dots - making it impossible to change user-details without setting password.)

I used Chrome a good year ago when I installed Redmine on my previous job, without any problem - but it's not good to say what has changed,

Chrome or Redmine.

#4 - 2009-05-05 10:01 - Kai Olav Fredriksen

Kai Olav Fredriksen wrote:

Jean-Philippe Lang wrote:

Not able to reproduce this problem.

Do you have some details that would help to reproduce?

 Ok - it's Google Chrome.  OK when using IE.  What happens is more than I reported.  This is a very shallow observation: 

Administration->Users->Select user...: Fields labeled "Email" and "Password" turns yellow background. Email-field holds MY login-name, and

"Password" holds dots (the "Confirmation"-field is normal, no dots - making it impossible to change user-details without setting password.)

I used Chrome a good year ago when I installed Redmine on my previous job, without any problem - but it's not good to say what has changed,

Chrome or Redmine.

 Not "a good year ago" of course; "last year" that is
#5 - 2016-01-20 07:03 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Cant reproduce

I am closing this issue. Please reopen if the problem persists on the current versions of Redmine.

#6 - 2016-01-20 07:38 - Go MAEDA

- File screenshot-403.png added

Non admin users cannot see /users/1/edit.

 screenshot-403.png 

Files

screenshot-403.png 36.1 KB 2016-01-20 Go MAEDA
